VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "cls_KreisFlaeche"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
Attribute VB_Ext_KEY = "SavedWithClassBuilder6" ,"Yes"
Attribute VB_Ext_KEY = "Top_Level" ,"Yes"
'lokale Variable(n) zum Zuweisen der Eigenschaft(en)
Private mvarRadius As Double 'lokale Kopie
Private mvarKreisFlaeche As Double 'lokale Kopie

'Lokale Konstante, hier Kreiszahl
Private Const PI = 3.141593
'Funktioniert auch mit
'Const PI = 3.141593

Public Property Let KreisFlaeche(ByVal vData As Double) '[Schreiben]
'wird beim Zuweisen eines Werts zu der Eigenschaft auf der
'linken Seite einer Zuweisung verwendet.
'Syntax: X.KreisFlaeche = 5
    mvarKreisFlaeche = vData
End Property

Public Property Get KreisFlaeche() As Double  '[Lesen]
'wird beim Ermitteln eines Eigenschaftswertes auf der
'rechten Seite einer Zuweisung verwendet.
'Syntax: Debug.Print X.KreisFlaeche
    'KreisFlaeche = mvarKreisFlaeche      'Ursprünglich
    KreisFlaeche = Radius * Radius * PI  'erste Möglichkeit
    'KreisFlaeche = Radius ^ 2 * PI       'zweite Mäöglichkeit
End Property

'[Wert zuweisen, Eigenschaft festlegen, Schreiben]
Public Property Let Radius(ByVal vData As Double)
'wird beim Zuweisen eines Werts zu der Eigenschaft auf der
'linken Seite einer Zuweisung verwendet.
'Syntax: X.Radius = 5
    mvarRadius = vData
End Property

Public Property Get Radius() As Double   '[Lesen]
Attribute Radius.VB_UserMemId = 0
'wird beim Ermitteln eines Eigenschaftswertes auf der
'rechten Seite einer Zuweisung verwendet.
'Syntax: Debug.Print X.Radius
    Radius = mvarRadius
End Property



